## modernize 0.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://www.sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/modernize.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/modernize.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/modernize"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/modernize"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## modernize 0.7

=== debian/changelog ===
modernize (0.7-2) unstable; urgency=medium

  * Correct Vcs URLs
  * Bump Standards-Version to 4.4.0

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 15 Jul 2019 11:28:44 +0200

modernize (0.7-1) unstable; urgency=medium

  * Initial version. (Closes: #928022)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 26 Apr 2019 12:18:31 +0200

=== debian/control ===
Source: modernize
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-nose,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/python-modernize/python-modernize
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/modernize
Vcs-Git: https://salsa.debian.org/python-team/modules/modernize.git

Package: modernize
Architecture: all
Depends: python3-libmodernize, ${misc:Depends}, ${python3:Depends}
Description: Modernizes Python code for eventual Python 3 migration
 This library is a very thin wrapper around lib2to3 to utilize it to make
 Python 2 code more modern with the intention of eventually porting it over
 to Python 3.
 .
 This package installs the python-modernize command line tool. It works like
 2to3. It does not guarantee, but it attempts to spit out a codebase compatible
 with Python 2.6+ or Python 3. The code that it generates has a runtime
 dependency on six, unless the --no-six option is used. Version 1.9.0 or later
 of six is recommended. Some of the fixers output code that is not compatible
 with Python 2.5 or lower.

Package: python3-libmodernize
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Modernizes Python code for eventual Python 3 migration (Python 3)
 This library is a very thin wrapper around lib2to3 to utilize it to make
 Python 2 code more modern with the intention of eventually porting it over
 to Python 3.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/modernize/modernize-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## modernize 0.9

=== debian/changelog ===
modernize (0.9-2) unstable; urgency=medium

  * Team Upload
  * Set Rules-Requires-Root: no
  * Fix paths in d/copyright
  * Use a dumb testsuite with one superficial test

 -- Alexandre Detiste <tchet@debian.org>  Tue, 02 Jul 2024 00:29:21 +0200

modernize (0.9-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.9 (Closes: #968459)
  * Switch to github archive, PyPi is missing tests
  * Switch to DH 13
  * Update build dependencies:
    - python3-nose (Closes: #1018411)
    - python3-setuptools
    + pybuild-plugin-pyproject
    + python3-fissix (a 2to3 fork)
    + python3-flit-scm
    + python3-pytest

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 12:39:59 +0200

modernize (0.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 00:02:37 -0400

=== debian/control ===
Source: modernize
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Benjamin Drung <benjamin.drung@cloud.ionos.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-fissix,
               python3-flit-scm,
               python3-pytest,
               python3-pytest-cov,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/python-modernize/python-modernize
Vcs-Browser: https://salsa.debian.org/python-team/packages/modernize
Vcs-Git: https://salsa.debian.org/python-team/packages/modernize.git

Package: modernize
Architecture: all
Depends: python3-libmodernize, ${misc:Depends}, ${python3:Depends}
Description: Modernizes Python code for eventual Python 3 migration
 This library is a very thin wrapper around fissix (2to3 fork) to utilize
 it to make Python 2 code more modern with the intention of
 eventually porting it over to Python 3.
 .
 This package installs the python-modernize command line tool. It works like
 2to3. It does not guarantee, but it attempts to spit out a codebase compatible
 with Python 2.6+ or Python 3. The code that it generates has a runtime
 dependency on six, unless the --no-six option is used. Version 1.9.0 or later
 of six is recommended. Some of the fixers output code that is not compatible
 with Python 2.5 or lower.

Package: python3-libmodernize
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Modernizes Python code for Python 3 migration
 This library is a very thin wrapper around lib2to3 to utilize it to make
 Python 2 code more modern with the intention of eventually porting it over
 to Python 3.

=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import modernize; print(modernize)" ; done
Depends:
 python3-all,
 @,
Restrictions: superficial

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/PyCQA/modernize/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
